Alembic 1.8.11

Loading...
Searching...
No Matches
Alembic::AbcGeom::ALEMBIC_VERSION_NS::IPointsSchema::Sample Class Reference

## Public Types
typedef Sample | this_type

## Public Member Functions
Abc::P3fArraySamplePtr | getPositions () const
Abc::UInt64ArraySamplePtr | getIds () const
Abc::V3fArraySamplePtr | getVelocities () const
Abc::Box3d | getSelfBounds () const
bool | valid () const
void | reset ()
| ALEMBIC_OPERATOR_BOOL (valid())

## Protected Attributes
Abc::P3fArraySamplePtr | m_positions
Abc::UInt64ArraySamplePtr | m_ids
Abc::V3fArraySamplePtr | m_velocities
Abc::Box3d | m_selfBounds

## Friends
class | IPointsSchema

The documentation for this class was generated from the following file:

- AbcGeom/IPoints.h